matrix:
  platform:
  - debian10
  - ubuntu2004
  bazel:
  - 7.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@jwt-cpp//example:rsa_create'
    - '@jwt-cpp//example:rsa_verify'
    - '@jwt-cpp//include/jwt-cpp/traits/nlohmann-json:traits'
    - '@jwt-cpp//include/jwt-cpp:jwt'
    - '@jwt-cpp//include/jwt-cpp/traits/nlohmann-json:specialization'
